import sys
sys.path.append('..')

from XMLObject import *

class Item(XMLObject):
    record = StringAttribute()
    position = IntegerAttribute()
    content = TextNode()
    
class Playlist(XMLObject):
    name = StringAttribute()
    type = StringAttribute()
    items = ListNode('Item')

class Test(XMLObject):
    pass

pl = Playlist()
pl.name = 'foo'
pl.type = 'xml'
print pl.name,'ok'

try:
    it = Test()
    pl.items.append(it)
except Exception,e:
    print 'Ouf type checking is working'

i = 0
for r in ['a','b','c','d']:
    it = Item()
    it.record = r
    it.position = i
    it.content = 'This is an Item'
    # print it.toXml()
    pl.items.append(it)
    i += 1



print pl.toXml()


pl2 = Playlist()
pl2.fromXml(pl.toXml())

assert pl.toXml() == pl2.toXml(), 'Humm pb during import/export'

print 'pl2', pl2.toXml()
